Understanding System Requirements to Install Box Edit v4

Locate the right installer for Box Tools v4 which include Box Edit and Device Trust. 

Note: Box Tools v4 is only supported on the configurations listed below. Older operating systems or browsers may not function with Box Tools v4 and users may see prompts indicating to update to a supported configuration when attempting to use Box Edit or pass Device Trust when logging in.   

 

OS Requirements

 

 Windows

 

  • Windows 7
  • Windows 8.1
  • Windows 10

MacOS

 

  • macOS 10.12 

  • macOS 10.13

  

Network Requirements

 

Box Tools v4 requires the ability to communicate with its Box Local Com Server by making requests to 127.0.0.1:17223 (or 127.0.0.1:17224 if port 17223 is occupied) over HTTP. 

 

An exception may need to be added to any firewalls, proxies, anti-virus or security products, and browser extensions that could potentially modify this request to http://127.0.0.1. 

 

The ability to communicate to 127.0.0.1 over HTTP is acceptable by the following w3c standard.

 

 

Browser Requirements

 

        Browser

        Supported Version(s)

Firefox

The two latest, released versions

Chrome 

The two latest, released versions

Safari

The two latest, released versions

IE

11

Edge

Not currently supported

  

Firefox and Chrome

No browser extensions are required for Box Tools v4 to work in the supported versions of Firefox and Chrome as these browsers should be able to communicate with 127.0.0.1 over HTTP.  Please see the network requirements above for more details. 

 

Safari

Box Tools v4 requires the use of a Box Tools Safari Extension that is installed with Box Tools v4. This Safari extension must be enabled in order for Box Tools v4 to function in Safari.

 

After installing Box Tools v4+ for the first time or after updating to it from Box Tools v3.x, navigate to Preferences > Extensions and check the box next to Box Tools Safari Extension to allow it (shown below).

 

Screen Shot 2018-04-23 at 3.12.21 PM.png

 

If you do not see Box Tools Safari Extension in Safari's Preferences > Extensions, please close and reopen Safari and attempt again.

 

Internet Explorer 

Box Tools v4 requires the use of a Box Tools ActiveX Add-on in order to function in Internet Explorer, shown below:

 

image2Tools4.png

 

 

There are a number of IE settings that can impact the ability to use Box Tools v4. For more information, please see the Box Tools v4 section of this article: https://community.box.com/t5/Box-Edit-Troubleshooting/Box-Tools-Internet-Explorer-Configuration-Guid....

 

Installers

 

Large Scale Deployments

 

For more information on deploying to multiple users, check out the following article:

Version history
Revision #:
18 of 18
Last update:
Monday
Updated by:
 

Users online (1,745)